
% Parametri di ingresso

N = 25;  % Vita utile dell'impianto in anni
r = 0.06; % Tasso di sconto (6% in questo caso)
C_kW= 700 % costo per kW installlato
P_inst=2.475*10^3*4 % potenza installata totale
C_accessori= 2*10^6 % costi connessione rete, studio fattibilità, spedizione e trasporto componenti.
C_tot= P_inst*C_kW %costo totale

% Definizione dei costi annuali (esempio ipotetico)
I = [C_tot*0.99+C_accessori, zeros(1, N-1)]; % Spese di capitale (CAPEX), solo all'anno 0
O = C_tot*0.005 * ones(1, N); % Costi operativi annuali costanti
M = C_tot*0.005* ones(1, N); % Costi di manutenzione annuali costanti
F = zeros(1, N); % Costi del carburante (zero per rinnovabili)
C = zeros(1, N); % Altri costi annuali costanti
E = 17352* ones(1, N); % Produzione annua di energia (MWh)

% Calcolo del valore attuale netto dei costi (numeratore della formula)
numerator = sum((I + O + M + F + C) ./ (1 + r).^(0:N-1));

% Calcolo del valore attuale netto dell'energia prodotta (denominatore)
denominator = sum(E ./ (1 + r).^(0:N-1));

% Calcolo del LCOE
LCOE = numerator / denominator;

% Visualizzazione del risultato
fprintf('Il Levelized Cost of Electricity (LCOE) è: %.2f €/MWh\n', LCOE);
